pbs_geterrmsg(3B)

NAME
pbs_geterrmsg - get error message for last pbs batch operation

SYNOPSIS
#include <pbs_error.h>
#include <pbs_ifl.h>

char *pbs_geterrmsg(int connect)

DESCRIPTION
Return the error message text associated with a batch server request.

If the preceding batch interface library call over the connection specified by resulted in an error return from the server, there may be an associated text message. If it exists, this function will return a pointer to the null terminated text string.

SEE ALSO
pbs_connect(3B)

DIAGNOSTICS
If an error text message was returned by a server in reply to the previous call to a batch interface library function, pbs_geterrmsg() will return a pointer to it. Otherwise, pbs_geterrmsg() returns the null pointer.